#{extends 'border.html'/}
<div class="container-fluid">

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                <a href="@{create()}" class="btn btn-primary btn-md"><i class="fa fa-plus"></i> &{'tambah.label'} &{'bidang.label'}</a>
            </div>
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
        #{alert /}
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x: auto">
                    <!-- Data Table -->
                    <table class="table table-striped" id="tblBidang">
                        <thead>
                        <tr>
                            <th>&{'nomor.label'}</th>
                            <th>&{'nama.label'} &{'bidang.label'}</th>
                            <th>&{'aksi.label'}</th>
                        </tr>
                        </thead>
                    </table>
                    <!-- End Data Table -->
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="editModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
        #{form @masterdata.BidangCtr.editSubmit(), method:'POST'}
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="myModalLabel">&{'ubah.label'} &{'bidang.label'}</h4>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label class="control-label">&{'nama.label'} &{'bidang.label'}</label>
                        <input id="nama_input" name="nama_bidang" class="form-control" required/>
                    </div>
                    <input id="input_id" name="id_bidang" type="hidden" />
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i class="fa fa-close"></i> &{'batal.label'}</button>
                    <button type="submit" class="btn btn-primary btn-md"><i class="fa fa-save"></i> &{'simpan.label'}</button>
                </div>
            </div>
        #{/form}
        </div>
    </div>

</div>
#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {
        $("#tblBidang").dataTable({
            ajax : {
                url : "@{DataTableCtr.cariBidang()}",
                cache : true
            },
            order : [ [ 1, "asc" ] ],
            columns : [ {
                "searchable" : true, "className": "header-center",
                render: function(data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
            }, {
                "searchable" : true
            },  {
                "searchable" : false, "className": "header-center"
            } ]
        });

        $("body").on("click", ".nama_bidang", function() {
            var nama = $(this).html();
            var id = $(this).attr("bidang_id");
            $("#input_id").val(id);
            $("#nama_input").val(nama);
            $("#editModal").modal();
        });

    });
</script>
#{/set}
